Last modified: 2012-08-12 09:44:34 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 24114 - Localize magic words referenced in WikiEditor toolbar
Localize magic words referenced in WikiEditor toolbar
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
WikiEditor (Other open bugs)
unspecified
All All
: Normal major with 3 votes (vote)
: ---
Assigned To: Trevor Parscal
:
Depends on:
Blocks: 24493
  Show dependency treegraph
 
Reported: 2010-06-24 14:55 UTC by Leinad
Modified: 2012-08-12 09:44 UTC (History)
9 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Leinad 2010-06-24 14:55:15 UTC
Vector edit toolbar do not support local magic words.

When user inserting redirect, should insert translation of "#REDIRECT", not English version.

For example in Polish, in Monobook toolbar we have "#PATRZ [[Nazwa artykułu docelowego]]", ugly Vector have "#REDIRECT [[Nazwa strony docelowej]]".
Comment 1 Tisza Gergő 2010-07-04 11:23:37 UTC
See http://meta.wikimedia.org/wiki/2010_Wikimedia_design_and_feature_change/Feedback#REDIRECT_button for a vector.js-based solution.
Comment 2 Krinkle 2011-05-01 12:27:11 UTC
Rephrasing summary to include other magic words, moved to new WikiEditor component.

A few ideas / possible solutions:
* If available through a messagekey, the appropiate message keys can be added to the registry of WikiEditor's ResourceLoader module
* If not available through messagekey we could create a startup-like module in WikiEditor that is created through PHP and populates an object (or an instance of mediaWiki.Map) with the localized versions of the magic words in the *content* language.
Comment 3 Eran Roz 2012-05-27 19:35:39 UTC
see also Gerrit change #9053
I added a file dialog to the wikieditor, and for using the localised magic words ("thumb", "right", "left" etc...) I had to expose the magic words to javascript. On the way it also fix this bug
Comment 4 matanya 2012-08-12 09:44:34 UTC
fix merged.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links